{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [        
        {
            "type": "cppdbg",
            "request": "launch",
            "name": "ejana geant_reader",
            "program": "${workspaceFolder}/build/ej_root",
            "args": [
                "-PPLUGINS=jleic_geant_reader,jleic_occupancy", 
                "-Pnthreads=1",
                "/home/yulia/work/ejana2/work/g4e_output.root"
            ],
            "stopAtEntry": false,
            "cwd": "${workspaceFolder}/build",
            "environment": [
                {"name":"JANA_PLUGIN_PATH", "value":"${workspaceFolder}/build"}
            ],
            "externalConsole": false,
            "MIMode": "gdb",
            "setupCommands": [
                {
                    "description": "Enable pretty-printing for gdb",
                    "text": "-enable-pretty-printing",
                    "ignoreFailures": true
                }
            ]
        },
        {
            "name": "Python general",
            "type": "python",
            "request": "launch",
            "program": "${file}",
            "console": "integratedTerminal",
            "pythonPath": "${workspaceFolder}/src/SBMS"
        }
    ]
}